name: linuxserver-vivaldi
services:
  app:
    image: linuxserver/vivaldi:7.8.3925
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      VIVALDI_CLI: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: VIVALDI_CLI
          description:
            en_us: Specify one or multiple Vivaldi CLI flags, this string will be passed to the application in full. [OPTIONAL]
    ports:
      - target: 3000
        published: 3000
        protocol: tcp
      - target: 3001
        published: 3001
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/vivaldi/config
        target: /config
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: Vivaldi is a Norwegian freeware, cross-platform web browser with a built-in email client developed by Vivaldi Technologies.
  tagline:
    en_us: A Norwegian freeware, cross-platform web browser with a built-in email client developed by Vivaldi Technologies.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/vivaldi-logo.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/vivaldi-logo.png
  title:
    en_us: Vivaldi
  category: LinuxServer.io
